Skip to main content
GET
Get a repo

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repo_name
string
required
org
string
required

Query Parameters

provider
enum<string> | null

VCS provider (e.g. github, gitlab, bitbucket, azure-devops, circleci). Required when multiple repos share the same name across providers.

Available options:
github,
gitlab,
bitbucket,
bitbucket_cloud,
bitbucket_dc,
azure-devops,
azure_devops_services,
azure_devops_server,
circleci,
git,
subversion
id
string | null

The repo's internal id (returned as id in the repo response). If given, this unambiguously identifies the repo and 'provider' is ignored.

Response

Successful Response

id
string
required
name
string
required
url
string
required
short_name
string | null
provider
enum<string> | null
Available options:
github,
gitlab,
bitbucket,
bitbucket_cloud,
bitbucket_dc,
azure-devops,
azure_devops_services,
azure_devops_server,
circleci,
git,
subversion
repo_id
string | null
vcs_instance
string | null
namespace_path
string[] | null
additional_info
Additional Info · object | null
description
string | null
tags
Tags · object
Last modified on July 21, 2026